<!DOCTYPE html>
<html lang="en" xmlns:v-on="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>Transitions</title>
    <link href="https://cdn.jsdelivr.net/npm/animate.css@3.5.1" rel="stylesheet" type="text/css">
    <style>
        /*
            Transitions
         */
        .transition-enter {
            opacity: 0;
        }

        .transition-enter-active {
            -webkit-transition: opacity 1s;
            -moz-transition: opacity 1s;
            -ms-transition: opacity 1s;
            -o-transition: opacity 1s;
            transition: opacity 1s;
        }

        .transition-leave-to {
            opacity: 0;
        }

        .transition-leave-active {
            -webkit-transition: opacity 1s;
            -moz-transition: opacity 1s;
            -ms-transition: opacity 1s;
            -o-transition: opacity 1s;
            transition: opacity 1s;
        }
        /*
            Animations
         */

        .bounce-enter-active {
            animation: bounce-in .5s;
        }
        .bounce-leave-active {
            animation: bounce-in .5s reverse;
        }
        @keyframes bounce-in {
            0% {
                transform: scale(0);
            }
            50% {
                transform: scale(1.5);
            }
            100% {
                transform: scale(1);
            }
        }
    </style>
</head>
<body>

<main>

    <button @click="status = !status">Show / Hide</button>
    <hr>

    <!-- Transitions -->
    <transition appear name="transition">
        <h2 v-show="status">Transitions</h2>
    </transition>
    <hr>
    <!-- animations -->
    <transition name="bounce">
        <h2 v-show="status">Animations</h2>
    </transition>

    <hr>
    <!-- Animate.css -->
    <transition
            name="animate.css"
            enter-active-class="animated rotateInUpLeft"
            leave-active-class="animated zoomOut">
        <h2 v-show="status">Animate css</h2>
    </transition>

    <hr>
    <!-- Transition entre diferentes elementos -->
    <transition name="transition" mode="out-in">
        <h2 v-if="status" key="show">Diferente elemento</h2>
        <h2 v-else="status" key="hide">Ocultar elemento</h2>
    </transition>
</main>

<script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>

<script>
    new Vue({
        el: 'main',
        data: {
            status: true,
            statusBounce: true,
        },

    });
</script>

</body>
</html>